## org.apache.mahout.cf.taste.impl.eval
Class AverageAbsoluteDifferenceRecommenderEvaluator

    java.lang.Object
      org.apache.mahout.cf.taste.impl.eval.AbstractDifferenceRecommenderEvaluator
          org.apache.mahout.cf.taste.impl.eval.AverageAbsoluteDifferenceRecommenderEvaluator

All Implemented Interfaces:
  RecommenderEvaluator

    public final class AverageAbsoluteDifferenceRecommenderEvaluator

extends AbstractDifferenceRecommenderEvaluator

A `RecommenderEvaluator` which computes the average absolute difference between predicted and actual ratings for users.

This algorithm is also called "mean average error".

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.mahout.cf.taste.impl.eval.AbstractDifferenceRecommenderEvaluator
`AbstractDifferenceRecommenderEvaluator.PreferenceEstimateCallable`

Constructor Summary
`AverageAbsoluteDifferenceRecommenderEvaluator()`

Method Summary
`protected double` `computeFinalEvaluation()`
`protected void` `processOneEstimate(float estimatedPreference, Preference realPref)`
`protected void` `reset()`
`String` `toString()`

Methods inherited from class org.apache.mahout.cf.taste.impl.eval.AbstractDifferenceRecommenderEvaluator
`evaluate, execute, getMaxPreference, getMinPreference, setMaxPreference, setMinPreference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AverageAbsoluteDifferenceRecommenderEvaluator

    public AverageAbsoluteDifferenceRecommenderEvaluator()

Method Detail

### reset

    protected void reset()

  Specified by:
    `reset` in class `AbstractDifferenceRecommenderEvaluator`

### processOneEstimate

    protected void processOneEstimate(float estimatedPreference,
                                      Preference realPref)

  Specified by:
    `processOneEstimate` in class `AbstractDifferenceRecommenderEvaluator`

### computeFinalEvaluation

    protected double computeFinalEvaluation()

  Specified by:
    `computeFinalEvaluation` in class `AbstractDifferenceRecommenderEvaluator`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.